;;
;; GgrTF::Tarmalen - The Followers of Tarmalen guild support @ BatMUD
;; (C) Copyright 2006-2008 Matti Hmlinen (Ggr)
;;
;; This file (triggerset) is Free Software distributed under
;; GNU General Public License version 2.
;;
;; NOTICE! This file requires GgrTF (version 0.6.2 or later) to be loaded.
;;
/loaded GgrTF::Tarmalen
/set gmodule=Tarmalen

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Bindings
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
/prdefcbind -s"uns"	-c"Unstun"
/prdefcbind -s"unp"	-c"Unpain"
/prdefcbind -s"bot"	-c"Blessing of Tarmalen"
/prdefcbind -s"rp"	-c"Remove Poison"
/prdefcbind -s"da"	-c"Detect Alignment"
/prdefcbind -s"cp"	-c"Cure Player"
/prdefcbind -s"clw"	-c"Cure Light Wounds"		-q
/prdefcbind -s"csw"	-c"Cure Serious Wounds"		-q
/prdefcbind -s"ccw"	-c"Cure Critical Wounds"	-q
/prdefcbind -s"mih"	-c"Minor Heal"			-q
/prdefcbind -s"mah"	-c"Major Heal"			-q
/prdefcbind -s"th"	-c"True Heal"			-q
/prdefcbind -s"miph"	-c"Minor Party Heal"		-q	-n
/prdefcbind -s"maph"	-c"Major Party Heal"		-q	-n
/prdefcbind -s"tph"	-c"True Party Heal"		-q	-n


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Heal all tracking
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
/set healall_n=
/set healall_t=0

/def lastheal =\
	/if (healall_t > 0)\
		/msq @{BCgreen}Latest heal all@{n} (@{Ccyan}%{healall_n}@{n}): @{Cyellow}$[prgetstime(healall_t)]@{n}%;\
	/else \
		/msq @{BCgreen}No heal alls detected!@{n}%;\
	/endif

/def -i -p9999 -aCyellow -mregexp -t"^You feel like ([A-Z][a-z]+)(| the christmas elf) healed you a bit\.$" ghealall_got =\
	/set healall_n=%{P1}%;/set healall_t=$[time()]

/def -i -p9999 -aCyellow -mregexp -t"^You feel like you healed ([0-9]+ players|one player)\.$" ghealall_heal =\
	/set healall_n=%{set_plrname}%;/set healall_t=$[time()]


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Keypad healing functionality
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; These keyboard bindings are almost universally working, for
;; most terminal types at least. Any other bindings the user must
;; provide him/herself (including bindings for numpad keys).

;; Meta/Alt + [asd] = Party heals
/def -i -b'^[a' = /prcastn minor party heal
/def -i -b'^[s' = /prcastn major party heal
/def -i -b'^[d' = /prcastn true party heal

;; Meta/Alt + [qwer] = Single, targetted heals
/def -i -b'^[q' = /prcast cure light wounds
/def -i -b'^[w' = /prcast cure serious wounds
/def -i -b'^[e' = /prcast cure critical wounds
/def -i -b'^[r' = /prcast major heal
/def -i -b'^[t' = /prcast true heal

;; Meta/Alt + [zxc] = Utilities
/def -i -b'^[z' = /prcast deaths door
/def -i -b'^[x' = /prcast unstun
/def -i -b'^[c' = /prcast unpain

;; Meta/Alt + f = Stop
/def -i -b'^[f' = @@cast stop

;; Keypad/Numpad
/def -i -b'^[Op' = /pss


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Cast a spell without target
/def -i prcastn =\
	/if (spell_st!~"on" | {*}!~heal_cspell)\
		/set heal_ctarget=%;\
		/set heal_cspell=%{*}%;\
		@@cast '%{*}'%;\
	/endif

;; Cast a spell at current target
/def -i prcast =\
	/if (heal_target!~"")\
		/if (spell_st!~"on" | heal_target!~heal_ctarget | {*}!~heal_cspell)\
			/set heal_ctarget=%{heal_target}%;\
			/set heal_cspell=%{*}%;\
			@@cast '%{*}' %{heal_target}%;\
		/endif%;\
	/else \
		/msq @{BCred}No target set!@{n}%;\
	/endif


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Select target via numpad
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; When "/move heal" mode is selected, /prmove macro is redirected
;; to this macro, which translates directions (assumed to be 3x3 matrix
;; like the normal PC keyboard numpad is) into party places for
;; targetting of spells.

/def -i prmove_heal =\
	/if	({1}=~"nw")	/let t=1_1%;\
	/elseif ({1}=~"n")	/let t=1_2%;\
	/elseif ({1}=~"ne")	/let t=1_3%;\
	/elseif ({1}=~"w")	/let t=2_1%;\
	/elseif ({1}=~"X")	/let t=2_2%;\
	/elseif ({1}=~"e")	/let t=2_3%;\
	/elseif ({1}=~"sw")	/let t=3_1%;\
	/elseif ({1}=~"s")	/let t=3_2%;\
	/elseif ({1}=~"se")	/let t=3_3%;\
	/else /set heal_target=%;/break%;/endif%;\
	/eval /set heal_target=$$[gparty_%{t}_s]%;\
	/msq @{Cyellow}Cast Target@{n} -> @{BCwhite}%{heal_target}@{n}


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Initialize
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
/test prlist_insert("set_move_s", "heal")
/set heal_ctarget=
/set heal_cspell=

